import type { INextSitemapResult } from './interface.js';
/**
 * Generic console logger
 */
export declare class Logger {
    /**
     * Missing build
     */
    static noBuildManifest(): void;
    /**
     * Missing build
     */
    static noExportMarker(): void;
    /**
     * Log missing config file
     */
    static noConfigFile(): void;
    /**
     * Generic error logger
     * @param text
     * @returns
     */
    static error(...text: string[]): void;
    /**
     * Generic log
     * @param emoji
     * @param text
     */
    static log(emoji: string, ...text: string[]): any;
    static logList(title: string, list: string[]): void;
    /**
     * Log stats when the generation is completed
     * @param result
     * @returns
     */
    static generationCompleted(result: INextSitemapResult): void;
}
